/**
 * 权限管理
 * */
export default {
    namespaced: true,
    state: {
        btns: [],
        routes: []
    },
    mutations: {
        SET_BTN_AUTH: (state, btns) => {
            state.btns = btns
        },
        SET_ROUTE: (state, routes) => {
            state.routes = routes
        },
    },
    actions: {
        addBtnAuth({ state,commit },btns) {
            commit('SET_BTN_AUTH',btns)
        },
        addRoutes({ state,commit },routes) {
            commit('SET_ROUTE',routes)
        }
    }
}