/*
 * @Author: your name
 * @Date: 2021-11-03 14:33:21
 * @LastEditTime: 2021-11-08 15:20:25
 * @LastEditors: your name
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \questionnaired:\code\FE_huoran_data\src\api\index.js
 */
import Setting from '@/setting'
let host1 = 'http://192.168.31.125:9000'//林
let host2 = 'http://192.168.31.137:9000'// 陈赓
let host3 = 'http://39.108.250.202:9000'

export default {
  // 登录注册 
  logins: `/users/users/user/login`,
  verification:`${Setting.apiBaseURL}/users/users/user/captcha`,

  // 公用接口
  queryProvince: `/nakadai/nakadai/province/queryProvince`,
  queryCity: `/nakadai/nakadai/city/queryCity`,
  querySchool: `/nakadai/nakadai/school/querySchool`,
  queryCourseDiscipline: `/nakadai/nakadai/discipline/queryDiscipline`,
  queryCourseProfessionalClass: `/nakadai/nakadai/professionalClass/queryProfessionalClass`,
  queryCourseProfessional: `/nakadai/nakadai/professional/queryProfessional`,

  // 个人中心
  uploadUserAvatars: `${Setting.apiBaseURL}/users/users/userAccount/updateUserAvatars`,
  userInfo:`/users/users/userInfo/getUserInfo`,
  updateUser:`/users/users/userInfo/updateUser`,
  findPasswordByEmail:`/users/users/userAccount/findPasswordByEmail`,
  findPasswordByPhone:`/users/users/userAccount/findPasswordByPhone`,

  // 用户管理
  saveUser: `/users/users/data/user/save`,
  getUserList: `/users/users/data/user/getUserList`,
  getUserTotalBySchoolId: `/users/users/data/user/getUserTotalBySchoolId`,
  checkAccount:`/users/users/data/user/checkAccount`,
  getDetail:`/users/users/data/user/getDetail`,
  modifyUser:`/users/users/data/user/modify`,
  export_failure:`${Setting.apiBaseURL}/users/users/data/user/export_failure`,
  uploadFile:`${Setting.apiBaseURL}/users/users/data/user/uploadFile`,
  deleteUser:`/users/users/data/user/delete`,
  resetPwd: `/users/users/userAccount/resetPwd`,
  sendPhoneOrEmailCode: `/users/users/userAccount/sendPhoneOrEmailCode`,
  bindPhoneOrEmail: `/users/users/userAccount/bindPhoneOrEmail`,
  examinePassword: `/users/users/userAccount/examinePassword`,
  isClient: `/users/users/user/isClient`,
  userTemplate: `http://39.108.250.202/template/%E6%95%B0%E6%8D%AE%E5%B9%B3%E5%8F%B0%E7%94%A8%E6%88%B7%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx`,
  
  // 角色管理
  batchRemove:`/users/role/batchRemove`,
  getRole:`/users/role/obtainDetails`,
  getName:`/data/data/role/getName`,
  listRole:`/users/role/list`,
  removeRole:`/data/data/role/remove`,
  saveOrUpdate:`/users/role/saveOrUpdate`,
  getPermissions:`/users/user-role/getUserRolesPermissionMenu`,

  // 权限菜单管理
  doAssign:`/data/data/permission/doAssign`,
  queryAllMenus:`/users/users/permission/queryAllMenus`,
  savePer:`/users/user-role/rolePermissionService`,
  toAssign:`/data/data/permission/toAssign`,

  // 表展示
  getIdQueryTable:`/data/data/table/getIdQueryTable`,
  getTableByClassification:`/data/data/table/getTableByClassification`,
  getTableByCondition:`/data/data/table/getTableByCondition`,
  downloadData:`${Setting.apiBaseURL}/data/data/download`,
  previewData:`/data/data/preview`,
  downloadRecord:`/data/data/myDownload/downloadRecord`,
  getDownloadRecord:`/data/data/myDownload/getDownloadRecord`,
  downloadAgain:`/data/data/downloadAgain`,
  isDownload:`/data/data/product/isDownload`,
  getTableTime:`/data/data/tableTime/getTableTime`,

  // 数据操作记录
  queryAccumulate:`/data/data/dataRecord/queryAccumulate`,
  queryDatabaseInfo:`/data/data/dataRecord/queryDatabaseInfo`,
  queryDatabaseInfoByMonth:`/data/data/dataRecord/queryDatabaseInfoByMonth`,
  saveRecord:`/data/data/dataRecord/saveRecord`,
  databaseInfoExport:`${Setting.apiBaseURL}/data/data/dataRecord/databaseInfoExport`,
  databaseInfoByMonthExport:`${Setting.apiBaseURL}/data/data/dataRecord/databaseInfoByMonthExport`,
  onlineNumber:`/data/data/dataRecord/onlineNumber`,
  getProductInfoBySchoolId:`/data/data/product/getProductInfoBySchoolId`,
}