import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'setting-';

export default {
    path: '/setting',
    name: 'setting',
    redirect: {
        name: `${pre}person`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}person`,
            path: `person`,
            component: () => import('@/pages/setting/person'),
            meta: { title: '个人中心' }
        },
        {
            name: `${pre}download`,
            path: `download`,
            component: () => import('@/pages/setting/person/download'),
            meta: { title: '我的下载' }
        },
    ]
};